<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\ZsaTeilnehmerUebersicht\BkBvTnDetails;

class BkBvTnDetailsController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new BkBvTnDetailsUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $request = new BkBvTnDetailsRequest();
    $request->bkbvtn = \GetOperations::getVarValue('bkbvtn');

    return $request;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new BkBvTnDetailsPresenter($pUseCaseResponse);
  }
}